org.apache.hadoop.hdfs.util

## Interface ReferenceCountMap.ReferenceCounter

- Enclosing class:
    org.apache.hadoop.hdfs.util.ReferenceCountMap<E extends ReferenceCountMap.ReferenceCounter>

      public static interface ReferenceCountMap.ReferenceCounter

  Interface for the reference count holder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decrementAndGetRefCount()`
    `int` | `getRefCount()`
    `int` | `incrementAndGetRefCount()`

- - ### Method Detail

    - #### getRefCount

          int getRefCount()

    - #### incrementAndGetRefCount

          int incrementAndGetRefCount()

    - #### decrementAndGetRefCount

          int decrementAndGetRefCount()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.